Package: org.apache.groovy.contracts.ast

## [Java] Class ClosureExpressionEvaluationASTTransformation

- org.apache.groovy.contracts.ast.ClosureExpressionEvaluationASTTransformation

-     @GroovyASTTransformation(phase = CompilePhase.SEMANTIC_ANALYSIS)
      public class ClosureExpressionEvaluationASTTransformation
      extends BaseASTTransformation

  Evaluates ClosureExpression instances in annotation parameters and generates special contract closure classes from them.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `visit(ASTNode[] nodes, SourceUnit unit)` ASTTransformation.visit

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class BaseASTTransformation` | `getReaderSource`

- - ### Method Detail

    - #### @Override
      public void visit(ASTNode[] nodes, SourceUnit unit)

      ASTTransformation.visit